> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Specs

> Get current operator configuration settings



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /stats/api/v1/specs
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /stats/api/v1/specs:
    get:
      tags:
        - System
      summary: Get Specs
      description: Get current operator configuration settings
      parameters:
        - name: kind
          in: query
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
          example: 0
          description: |
            The type of spec update. Values include:
              0: Market,
              1: SpotGateway,
              2: IndexMarket,
              3: QuarterlyExpiryMarket
        - in: query
          name: limit
          schema:
            type: integer
            default: 500
          description: The number of rows to return
        - in: query
          name: offset
          schema:
            type: integer
            default: 0
          description: The offset of returned rows
      responses:
        '200':
          description: Specs data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpecsAPISuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    SpecsAPISuccessResponse:
      type: object
      additionalProperties: false
      properties:
        value:
          type: array
          items:
            type: object
            properties:
              kind:
                type: number
                description: >-
                  The type of setting. Values include:  0: Market,  1:
                  MarketGateway - a group of settings for a particular price
                  feed source,  2: Index Market,  3: Quarterly Expiry Future
                examples:
                  - 0
                  - 1
                  - 2
                  - 3
              name:
                type: string
                description: The name of the setting.
                examples:
                  - ETHP
                  - api.binance.com
              expr:
                type: string
                description: >-
                  A colon seperated set of key value pairs describing the
                  setting
                examples:
                  - >-
                    (Market :name "ETHP":tick-size 0.1:max-order-notional
                    1000000:max-taker-price-deviation 0.02:min-order-size
                    0.0001)
              value:
                description: The value of the setting .
                examples:
                  - tickSize: '0.1'
                    minOrderSize: '0.0001'
                    maxOrderNotional: '1000000'
                    maxTakerPriceDeviation: '0.02'
            required:
              - kind
              - name
              - expr
              - value
            additionalProperties: false
          description: The value of the response
        success:
          type: boolean
          const: true
          description: Whether the request was successful
        timestamp:
          type: number
          description: The timestamp of the response
          examples:
            - 1673031089
      required:
        - success
        - timestamp
        - value
      description: Successful response for the Specs API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````